<!--
  ~ EVS Client is part of the Gazelle Test Bed
  ~ Copyright (C) 2006-2016 IHE
  ~ mailto :eric DOT poiseau AT inria DOT fr
  ~
  ~ See the NOTICE file distributed with this work for additional information
  ~ regarding copyright ownership.  This code is licensed
  ~ to you under the Apache License, Version 2.0 (the
  ~ "License"); you may not use this file except in compliance
  ~ with the License.  You may obtain a copy of the License at
  ~
  ~   http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing,
  ~ software distributed under the License is distributed on an
  ~ "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
  ~ KIND, either express or implied.  See the License for the
  ~ specific language governing permissions and limitations
  ~ under the License.
  -->

<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:h="http://java.sun.com/jsf/html" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml" template="//layout/template.xhtml">
    <ui:param name="pageName" value="#{messages['gazelle.evs.client.admin.manage.services']}"/>
    <ui:param name="pageNameUrl" value="administration/validationServices.seam"/>
    <ui:param name="pageNameTitle" value="#{messages['gazelle.evs.client.admin.manage.services']}"/>
    <ui:define name="body">
        <s:div id="globalDiv">

            <h:form id="globalForm">

                <ui:decorate template="/layout/panels/_panel_title_footer_id.xhtml">

                    <ui:param name="panel_id" value="AllServicesPanel"/>
                    <ui:define name="panel_title">
                        <h:outputText value="#{messages['gazelle.evs.client.admin.validation.services']}"/>
                    </ui:define>

                    <rich:dataTable value="#{validationServiceBeanGui.getAllValidationServiceDataModel()}"
                                    var="valService"
                                    rows="#{dataScrollerMemory.numberOfResultsPerPage}"
                                    render="ds"
                                    id="validationServicesTable">

                        <g:column sortBy="#{'name'}" filterBy="#{'name'}" sortOrder="ascending" >
                            <ui:define name="header">#{messages['gazelle.evs.client.Name']}</ui:define>
                            <h:outputText value="#{valService.name}"/>
                        </g:column>
                        <g:column sortBy="#{'validationType'}" filterBy="#{'validationType'}" sortOrder="ascending" >
                            <ui:define name="header">#{messages['net.ihe.gazelle.evs.ValidatorType']}</ui:define>
                            <h:outputText value="#{valService.validationType}"/>
                        </g:column>
                        <g:column filterBy="#{'validationServiceType'}" sortBy="#{'validationServiceType'}">
                            <ui:define name="header">#{messages['net.ihe.gazelle.evs.ValidationServiceType']}</ui:define>
                            <h:outputText value="#{valService.validationServiceType}"/>
                        </g:column>
                        <g:column filterBy="#{'description'}">
                            <ui:define name="header">#{messages['gazelle.evs.client.Description']}</ui:define>
                            <span>
                                <g:safehtml value="#{valService.description}"/>
                            </span>
                        </g:column>
                        <g:column>
                            <ui:define name="header">#{messages['net.ihe.gazelle.evs.TargetEndpointOrPathToBinary']}</ui:define>
                            <h:outputText value="#{valService.binaryPath}" rendered="#{valService.isSystemServiceType()}"/>
                            <h:outputText value="#{valService.url}" rendered="#{valService.isWebServiceType()}"/>
                        </g:column>
                        <g:column filterExpresion="#{'available'}" sortBy="#{'available'}">
                            <ui:define name="header">#{messages['net.ihe.gazelle.evs.Available']}</ui:define>
                            <h:outputText value="#{messages['gazelle.common.yes']}" rendered="#{valService.available}"/>
                            <h:outputText value="#{messages['gazelle.common.no']}"  rendered="#{not valService.available}"/>
                        </g:column>
                        <g:column>
                            <ui:define name="header">#{messages['gazelle.common.Action']}</ui:define>
                            <h:outputLink title="#{messages['net.ihe.gazelle.xval.Edit']}" value="validationServiceDisplay.seam">
                                <f:param name="valId" value="#{valService.id}"/>
                                <s:span styleClass="gzl-icon-pencil text-info"/>
                            </h:outputLink>
                        </g:column>
                        <f:facet name="footer">
                            <ui:include src="/util/datatableFooter.xhtml">
                                <ui:param name="dataScrollerId" value="ds"/>
                                <ui:param name="dataTableId" value="validationServicesTable"/>
                            </ui:include>
                        </f:facet>
                    </rich:dataTable>
                    <ui:define name="panel_footer">
                        <h:outputLink title="#{messages['net.ihe.gazelle.evs.CreateNewValidationService']}" value="validationServiceDisplay.seam"
                                      styleClass="gzl-btn-blue">
                            <h:outputText value="#{messages['net.ihe.gazelle.evs.CreateNewValidationService']}"/>
                        </h:outputLink>
                    </ui:define>
                </ui:decorate>
            </h:form>
        </s:div>
    </ui:define>
</ui:composition>
